package com.ruoyi.project.patrol.fire.mapper;

import com.ruoyi.project.patrol.fire.domain.TFireDoor;

import java.util.List;

/**
 * 常闭式防爆门/防火门Mapper接口
 *
 * @author admin
 * @date 2023-11-07
 */
public interface TFireDoorMapper
{
    /**
     * 查询常闭式防爆门/防火门
     *
     * @param id 常闭式防爆门/防火门主键
     * @return 常闭式防爆门/防火门
     */
    public TFireDoor selectTFireDoorById(Long id);

    /**
     * 查询常闭式防爆门/防火门列表
     *
     * @param tFireDoor 常闭式防爆门/防火门
     * @return 常闭式防爆门/防火门集合
     */
    public List<TFireDoor> selectTFireDoorList(TFireDoor tFireDoor);
    public List<TFireDoor> selectTFireDoor(TFireDoor tFireDoor);

    /**
     * 新增常闭式防爆门/防火门
     *
     * @param tFireDoor 常闭式防爆门/防火门
     * @return 结果
     */
    public int insertTFireDoor(TFireDoor tFireDoor);

    /**
     * 修改常闭式防爆门/防火门
     *
     * @param tFireDoor 常闭式防爆门/防火门
     * @return 结果
     */
    public int updateTFireDoor(TFireDoor tFireDoor);

    /**
     * 删除常闭式防爆门/防火门
     *
     * @param id 常闭式防爆门/防火门主键
     * @return 结果
     */
    public int deleteTFireDoorById(Long id);

    /**
     * 批量删除常闭式防爆门/防火门
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTFireDoorByIds(Long[] ids);
}
